# (akien) API version 1.6 backported to Mageia 6 for firefox and thunderbird
# We only need the library and headers, so we delete the tools (´hunspell1.6' RPM) in %%install.

%define oname hunspell

%define major 0
%define api 1.6
%define libname %mklibname %{name}_ %{major}
%define develname %mklibname %{name} -d

Summary:	Spell checker and morphological analyzer library
Name:		hunspell1.6
Version:	1.6.2
Release:	%mkrel 1
License:	GPLv2+
Group:		System/Internationalization
Url:		http://hunspell.github.io/
Source0:	https://github.com/hunspell/hunspell/archive/v%{version}.tar.gz#/%{oname}-%{version}.tar.gz
# (tpg) Mdv's specific path to myspell dictionaries
Patch0:		%{oname}-1.3.4-dict-path.patch

BuildRequires:	bison
BuildRequires:	libtool

%description
Hunspell is a spell checker and morphological analyzer library
and program designed for languages with rich morphology and complex
word compounding or character encoding.


%package -n	%{libname}
Summary:	Shared libraries for hunspell
Group:		System/Libraries
Provides:	libhunspell = %{version}-%{release}
Recommends:	hunspell-dictionary

%description -n	%{libname}
Shared libraries for hunspell.


%package -n	%{develname}
Summary:	Development files for hunspell
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

Conflicts:	%{_lib}hunspell-devel

%description -n	%{develname}
Development files and headers for hunspell.


%prep
%setup -q -n %{oname}-%{version}
%autopatch -p1

%build
autoreconf -fi
%configure2_5x \
	--disable-static \
	--disable-rpath
%make_build
cd po && make %{?_smp_mflags} update-gmo && cd ..


%check
make check

%install
%make_install

rm -f %{buildroot}%{_libdir}/*.la

# We only need the library for this compat package
rm -rf %{buildroot}%{_bindir}
rm -rf %{buildroot}%{_datadir}/locale
rm -rf %{buildroot}%{_mandir}

%files -n %{libname}
%{_libdir}/lib%{oname}-%{api}.so.%{major}{,.*}

%files -n %{develname}
%dir %{_includedir}/%{oname}
%{_includedir}/%{oname}/*.h*
%{_libdir}/lib%{oname}-%{api}.so
%{_libdir}/pkgconfig/%{oname}.pc


%changelog
* Tue Sep 18 2018 akien <akien> 1.6.2-1.mga6
  (not released yet)
+ Revision: 1259503
- Rename to hunspell1.6 as compat package
- Drop 'hunspell1.6' RPM with tools binaries, we only need the library for FF and TB
- 'hunspell1.6-devel' conflicts with 'hunspell-devel' (same pkgconfig/includes path)
- Backport Cauldron's hunspell 1.6 to Mageia, needed for Firefox and Thunderbird 60 ESR

* Tue Dec 19 2017 shlomif <shlomif> 1.6.2-2.mga7
+ Revision: 1183475
- Fix README dangling symlink ( MGA#22225 ).

* Wed Oct 04 2017 shlomif <shlomif> 1.6.2-1.mga7
+ Revision: 1168306
- New version 1.6.2

* Mon Jul 17 2017 shlomif <shlomif> 1.6.1-1.mga7
+ Revision: 1124489
- New version 1.6.1
+ luigiwalser <luigiwalser>
- 1.6.0

* Mon May 09 2016 luigiwalser <luigiwalser> 1.4.1-1.mga6
+ Revision: 1011422
- 1.4.1

* Thu Apr 21 2016 tv <tv> 1.4.0-1.mga6
+ Revision: 1004113
- adjust file list
- new release

* Wed Apr 13 2016 shlomif <shlomif> 1.3.4-1.mga6
+ Revision: 1000993
- New version 1.3.4
- See https://github.com/hunspell/hunspell/issues/371 for why experimental
  was removed.

* Fri Feb 26 2016 luigiwalser <luigiwalser> 1.3.3-5.mga6
+ Revision: 979723
- add patch to fix build with grep 2.23

* Thu Feb 04 2016 umeabot <umeabot> 1.3.3-4.mga6
+ Revision: 934417
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.3.3-3.mga5
+ Revision: 745359
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3.3-2.mga5
+ Revision: 680206
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Thu Jun 05 2014 luigiwalser <luigiwalser> 1.3.3-1.mga5
+ Revision: 633585
- 1.3.3

* Sat Oct 19 2013 umeabot <umeabot> 1.3.2-8.mga4
+ Revision: 522542
- Mageia 4 Mass Rebuild

* Sun Mar 17 2013 lmenut <lmenut> 1.3.2-7.mga3
+ Revision: 403605
- rebuild for new rpm-mageia-setup
  do not own man lang directories (mga #9055)

* Fri Jan 25 2013 fwang <fwang> 1.3.2-6.mga3
+ Revision: 392228
- suggest dictionary in libpackage instead

* Sat Jan 12 2013 umeabot <umeabot> 1.3.2-5.mga3
+ Revision: 353375
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 kamil <kamil> 1.3.2-4.mga3
+ Revision: 325114
- rebuild for Mga3 Beta1
- add hunspell-dictionary as a suggestion of hunspell (mga#5749)

* Tue Sep 13 2011 fwang <fwang> 1.3.2-2.mga2
+ Revision: 142892
- update file list
- update file list
- drop .la files

* Sun Jun 26 2011 fwang <fwang> 1.3.2-1.mga2
+ Revision: 113978
- new version 1.3.2

* Fri Jan 14 2011 mikala <mikala> 1.2.12-3.mga1
+ Revision: 17752
- Drop mdk macros
- imported package hunspell

